spiegel-keyman/common/predictive-text/docs/build.sh
Marc Durdin 767927bf16 chore(common): use /usr/bin/env bash
Fixes up scripts (except under /linux) to use `#!/usr/bin/env bash`
instead of `#!/bin/bash` or `#!/bin/sh` so that we don't end up with
the ancient version of bash supplied with macOS.

This became urgent with this PR, because of bash-4.xisms in
build-utils.sh, for example on line 572:

```
if [[ -v _builder_params[$e] ]]; then
```
2022-07-25 14:59:37 +10:00

18 lines
481 B
Bash
Executable file

#!/usr/bin/env bash
# The diagram is built using the Graphviz suite.
# You can get it with most package managers, e.g.,
#
# sudo apt installl graphviz # Ubuntu
#
# brew install graphviz # macOS
# Check if Graphviz/dot is installed
if ! hash dot ; then
echo "Cannot (re)build state diagram" 1>&2
echo "Missing the Graphviz suite" 1>&2
echo "Download at $(tput bold)https://www.graphviz.org/$(tput sgr0)"
exit 1
fi
dot -Tpng lmlayer-states.dot -o lmlayer-states.png